Kerbal Space Program - Bug #28206

Using "Set Position" on a craft will also teleport nearby Kerbals to the a near by location when the

craft gets within physics range.

07/07/2021 03:55 AM - Anth12

Status: Confirmed Start date: 07/07/2021
Severity: Low % Done: 10%
Assignee:

Category: Kerbals

Target version:

Version: 1.12.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.12.1 + BG + MH

Video Evidence:

https://www.youtube.com/watch?v=4nyKfJRUetw

How to reproduce:

Have Kerbals and another craft near each other.

Set Position to outside physics range (200m) then move back into physics range

History

#1 - 07/07/2021 04:10 AM - Anth12

Also works when you teleport within the 200m physics range

#2 - 07/08/2021 02:50 PM - Technicalfool

- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Platform Linux added

Confirmed on 1.12.1 release, using a stock Butterfly rover.
